Package tigase.server.xmppclient

# Class SeeOtherHostDualIPSQLRepository

java.lang.Object
tigase.server.xmppclient.SeeOtherHostDualIPSQLRepository

All Implemented Interfaces:
  `DataSourceAware<DataRepository>`, `SeeOtherHostDualIP.DualIPRepository<DataRepository>`

public class SeeOtherHostDualIPSQLRepository extends Object implements SeeOtherHostDualIP.DualIPRepository<DataRepository>

Author:
  Wojtek

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLUSTER_NODES_TABLE`
  `static final String`
  `DB_GET_ALL_DATA_DB_QUERY_KEY`
  `static final String`
  `GET_ALL_QUERY_TIMEOUT_QUERY_KEY`

  ### Fields inherited from interface tigase.server.xmppclient.SeeOtherHostDualIP.DualIPRepository

  `HOSTNAME_ID, SECONDARY_HOSTNAME_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SeeOtherHostDualIPSQLRepository()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<BareJID,BareJID>`
  `queryAllDB()`
  `void`
  `setDataSource(DataRepository dataSource)`
  Method called to provide class with instance of a data source.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CLUSTER_NODES_TABLE

    public static final String CLUSTER_NODES_TABLE
    See Also:
      - Constant Field Values

  - ### DB_GET_ALL_DATA_DB_QUERY_KEY

    public static final String DB_GET_ALL_DATA_DB_QUERY_KEY
    See Also:
      - Constant Field Values

  - ### GET_ALL_QUERY_TIMEOUT_QUERY_KEY

    public static final String GET_ALL_QUERY_TIMEOUT_QUERY_KEY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SeeOtherHostDualIPSQLRepository

    public SeeOtherHostDualIPSQLRepository()

- ## Method Details

  - ### setDataSource

    public void setDataSource(DataRepository dataSource)
    Description copied from interface: `DataSourceAware`
    Method called to provide class with instance of a data source.
    Specified by:
      `setDataSource` in interface `DataSourceAware<DataRepository>`

  - ### queryAllDB

    public Map<BareJID,BareJID> queryAllDB() throws SQLException
    Specified by:
      `queryAllDB` in interface `SeeOtherHostDualIP.DualIPRepository<DataRepository>`
    Throws:
      `SQLException`